Moves an item from one cycle to another within the same board.
Updates ordering in both source and target cycles.
curl --request POST \
--url https://{install}/api/plan/{boardId}/move \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"itemId": "<string>",
"fromCycleId": "<string>",
"toCycleId": "<string>",
"toIndex": 123
}
'import requests
url = "https://{install}/api/plan/{boardId}/move"
payload = {
"itemId": "<string>",
"fromCycleId": "<string>",
"toCycleId": "<string>",
"toIndex": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
itemId: '<string>',
fromCycleId: '<string>',
toCycleId: '<string>',
toIndex: 123
})
};
fetch('https://{install}/api/plan/{boardId}/move', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));using RestSharp;
var options = new RestClientOptions("https://{install}/api/plan/{boardId}/move");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"itemId\": \"<string>\",\n \"fromCycleId\": \"<string>\",\n \"toCycleId\": \"<string>\",\n \"toIndex\": 123\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
{
"success": true
}Planning
Moves an item from one cycle to another within the same board. Updates ordering in both source and target cycles.
POST
/
api
/
plan
/
{boardId}
/
move
Moves an item from one cycle to another within the same board.
Updates ordering in both source and target cycles.
Batch-plans items into a cycle. All-or-nothing: if any item fails validation, none are saved.
Previous
Replaces the item ordering within a cycle.
Next
⌘I